"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.birthDateField = void 0;

var _parseDob = _interopRequireDefault(require("parse-dob"));

var _dobToAge = _interopRequireDefault(require("dob-to-age"));

var _function = require("../utils/function");

var _date = require("../utils/date");

var _intl = require("../utils/intl");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const parseDobMemoized = (0, _function.singleArgMemoize)(dob => (0, _parseDob.default)(dob));
const birthDateField = {
  label: 'Birth Date',
  name: 'birthDate',
  onInput: true,
  subLabel: item => {
    const parsed = parseDobMemoized(item.value || '');

    if (!parsed) {
      return "You can use ".concat((0, _intl.getDateInputMaskForLocale)(), " or write it out. Interpreted result will appear here. ");
    }

    return "Interpreted as: ".concat((0, _date.formatBirthDate)(parsed), " (").concat((0, _dobToAge.default)(parsed), " years old).");
  },
  completenessTest: parseDobMemoized,
  test: val => {
    const parsed = parseDobMemoized(val);

    if (val && !parsed) {
      return 'Could not interpret birth date yet. ';
    }
  },
  tourVal: '12/01/1984',
  inputWidth: '180px',
  getFinalValue: val => parseDobMemoized(val)
};
exports.birthDateField = birthDateField;