"use strict";

var _tape = _interopRequireDefault(require("tape"));

var _intl = require("./intl");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Adjust the import path as necessary
(0, _tape.default)('getDateInputMaskForLocale with various locales', t => {
  const testCases = [{
    locale: '',
    expected: 'mm/dd/yyyy'
  }, {
    locale: 'garbage',
    expected: 'mm/dd/yyyy'
  }, {
    locale: undefined,
    expected: 'mm/dd/yyyy'
  }, {
    locale: null,
    expected: 'mm/dd/yyyy'
  }, {
    locale: 'en-US',
    expected: 'mm/dd/yyyy'
  }, {
    locale: 'en-GB',
    expected: 'dd/mm/yyyy'
  }, {
    locale: 'de-DE',
    expected: 'dd.mm.yyyy'
  }, {
    locale: 'zh-CN',
    expected: 'yyyy/mm/dd'
  }, {
    locale: 'ja-JP',
    expected: 'yyyy/mm/dd'
  }, {
    locale: 'ko-KR',
    expected: 'yyyy. mm. dd.'
  }, {
    locale: 'fr-FR',
    expected: 'dd/mm/yyyy'
  }, {
    locale: 'es-ES',
    expected: 'dd/mm/yyyy'
  }, {
    locale: 'it-IT',
    expected: 'dd/mm/yyyy'
  }, {
    locale: 'en-AU',
    expected: 'dd/mm/yyyy'
  }, {
    locale: 'en-CA',
    expected: 'yyyy-mm-dd'
  }, {
    locale: 'fr-CA',
    expected: 'yyyy-mm-dd'
  }];
  testCases.forEach(({
    locale,
    expected
  }) => {
    t.equal((0, _intl.getDateInputMaskForLocale)(locale), expected, "Should return ".concat(expected, " for ").concat(locale));
  });
  t.end();
});